﻿Imports System.IO
Imports FarPoint.Win.Spread

Public Class Form1
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim m As New FileStream("d:\MyXML.xml", FileMode.Open)
        Dim b As New System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
        Dim ss As SheetViewCollection
        Try
            ss = CType(b.Deserialize(m), SheetViewCollection)
            m.Close()
            FpSpread1.Sheets.Count = 0
            For Each sheet As SheetView In ss
                FpSpread1.Sheets.Add(sheet)
            Next
        Catch ex As Exception
            Debug.WriteLine(ex)
        End Try
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim m As New FileStream("d:\MyXML.xml", FileMode.Create)
        Dim b As New System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
        Try
            b.Serialize(m, FpSpread1.Sheets)
            m.Flush()
            m.Close()
        Catch ex As Exception
            Debug.WriteLine(ex)
        End Try
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim cmbocell As New FarPoint.Win.Spread.CellType.ComboBoxCellType()
        cmbocell.Items = (New String() {String.Empty, "February", "March", "April", "May", "June"})
        cmbocell.AcceptsArrowKeys = FarPoint.Win.SuperEdit.AcceptsArrowKeys.AllArrows
        cmbocell.AutoSearch = FarPoint.Win.AutoSearch.SingleCharacter
        cmbocell.Editable = True
        cmbocell.ListAlignment = FarPoint.Win.ListAlignment.Left
        cmbocell.ListOffset = 20
        cmbocell.ListWidth = 0
        cmbocell.MaxDrop = 4
        FpSpread1.Sheets(0).Cells(2, 2).CellType = cmbocell
    End Sub
End Class
